CFLAGS=-static -Wall -Wextra -Wshadow -DON_PC -Os -fPIE
LDFLAGS=-static -fpie

all: cmdforge heartbeat

cmdforge: cmdforge.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

heartbeat.exe: heartbeat.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

dist:
	$(MAKE) distclean
	$(MAKE) all
	$(MAKE) clean
	(cd ../.. && tar -cf cmdforge.tar cmdforge && gzip -9 cmdforge.tar)

clean:
	rm -f cmdforge.o heartbeat.o

distclean: clean
	rm -f cmdforge cmdforge.exe heartbeat heartbeat.exe

.PHONY: clean distclean dist
